Subject: Re: [PATCH v2 0/2] Update sha1dc from upstream & optionally make it a submodule

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 May 2017 08:31:06 +0900

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> But from what you're saying here that seems like a non-issue, i.e. in
> such a scenario we'd just mirror the original repo[1], change the URL
> in git.git to that, and then anyone could easily use older history
> since it would be pointing to the new mirror.

Those who cloned before such a switch will still have the URL they
chose when they cloned and did "submodule init" on it, I think, so
they need to explicitly choose to switch to the new URL.  So I would
not exactly say "seems like a non-issue"; it certainly is an easy
thing to work around.